petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatFactorGetSchurComplement

Get a Schur complement matrix object using the current Schur data

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorGetSchurComplement(Mat F,Mat* S)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor()
| *S | - location where to return the Schur complement (in MATDENSE format)

### Notes

Schur complement mode is currently implemented for sequential matrices. The routine returns a dense matrix pointing to the raw data of the Schur Complement stored within the data strutures of the solver; e.g. if MatFactorInvertSchurComplement has been called, the returned matrix is actually the inverse of the Schur complement. The caller should call MatFactorRestoreSchurComplement when the object is no longer needed.

### References

### See Also

MatGetFactor(), MatFactorSetSchurIS(), MatFactorRestoreSchurComplement(), MatFactorCreateSchurComplement()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages